﻿using AutoMapper;
using System.Collections.Generic;

namespace COA.EnterpriseServices.DataAccess.Helpers
{
    public class ClientHelper : BaseHelper
    {
        public ClientHelper(DataAccessManager dataAccess, IMapper mapper) : base(dataAccess, mapper) { }

        public ICollection<Entities.Client> FindByEmail(string email)
        {
            var client = DataAccess.Get<Entities.Client>(c => c.Email.Equals(email));

            return client;
        }
    }
}
